=== added file 'viz/about.py'
--- viz/about.py	1970-01-01 00:00:00 +0000
+++ viz/about.py	2007-11-07 20:24:52 +0000
@@ -0,0 +1,15 @@
+
+import gtk
+import gobject
+import pango
+
+import bzrlib.plugins.gtk
+
+class AboutDialog(gtk.AboutDialog):
+
+    def __init__(self):
+        gtk.AboutDialog.__init__(self)
+        self.set_name("Bazaar GTK")
+        self.set_version(bzrlib.plugins.gtk.__version__)
+
+

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-11-07 14:28:16 +0000
+++ viz/branchwin.py	2007-11-07 20:24:52 +0000
@@ -20,6 +20,7 @@
 from bzrlib.config import BranchConfig
 from bzrlib.config import GlobalConfig
 from treeview import TreeView
+from about import AboutDialog
 
 class BranchWindow(Window):
     """Branch window.
@@ -190,6 +191,15 @@
 
         branch_menu.add(gtk.MenuItem("Pu_ll Revisions"))
         branch_menu.add(gtk.MenuItem("Pu_sh Revisions"))
+
+        help_menu = gtk.Menu()
+        help_menuitem = gtk.MenuItem("_Help")
+        help_menuitem.set_submenu(help_menu)
+
+        help_menu_about = gtk.ImageMenuItem(gtk.STOCK_ABOUT)
+        help_menu_about.connect('activate', self._show_about_cb)
+
+        help_menu.add(help_menu_about)
        
         menubar.add(file_menuitem)
         menubar.add(edit_menuitem)
@@ -197,6 +207,7 @@
         menubar.add(go_menuitem)
         menubar.add(revision_menuitem)
         menubar.add(branch_menuitem)
+        menubar.add(help_menuitem)
         menubar.show_all()
 
         return menubar
@@ -388,3 +399,8 @@
             self.toolbar.show() 
         else:
             self.toolbar.hide()
+
+    def _show_about_cb(self, w):
+        dialog = AboutDialog()
+        dialog.connect('response', lambda d,r: d.destroy())
+        dialog.run()

